Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network86.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
86.0.0.0
Broadcast address
87.255.255.255
First usable
86.0.0.1
Last usable
87.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 56000000 · Integer 1442840576 to 1476395007
Reverse DNS zones
86.in-addr.arpa
87.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010110.00000000.00000000.0000000086.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01010110.00000000.00000000.0000000086.0.0.0
Broadcast01010111.11111111.11111111.1111111187.255.255.255
Split into smaller subnets/15

86.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
186.0.0.0/1586.0.0.1 to 86.1.255.25486.1.255.255131,070
286.2.0.0/1586.2.0.1 to 86.3.255.25486.3.255.255131,070
386.4.0.0/1586.4.0.1 to 86.5.255.25486.5.255.255131,070
486.6.0.0/1586.6.0.1 to 86.7.255.25486.7.255.255131,070
586.8.0.0/1586.8.0.1 to 86.9.255.25486.9.255.255131,070
686.10.0.0/1586.10.0.1 to 86.11.255.25486.11.255.255131,070
786.12.0.0/1586.12.0.1 to 86.13.255.25486.13.255.255131,070
886.14.0.0/1586.14.0.1 to 86.15.255.25486.15.255.255131,070
986.16.0.0/1586.16.0.1 to 86.17.255.25486.17.255.255131,070
1086.18.0.0/1586.18.0.1 to 86.19.255.25486.19.255.255131,070
1186.20.0.0/1586.20.0.1 to 86.21.255.25486.21.255.255131,070
1286.22.0.0/1586.22.0.1 to 86.23.255.25486.23.255.255131,070
1386.24.0.0/1586.24.0.1 to 86.25.255.25486.25.255.255131,070
1486.26.0.0/1586.26.0.1 to 86.27.255.25486.27.255.255131,070
1586.28.0.0/1586.28.0.1 to 86.29.255.25486.29.255.255131,070
1686.30.0.0/1586.30.0.1 to 86.31.255.25486.31.255.255131,070
1786.32.0.0/1586.32.0.1 to 86.33.255.25486.33.255.255131,070
1886.34.0.0/1586.34.0.1 to 86.35.255.25486.35.255.255131,070
1986.36.0.0/1586.36.0.1 to 86.37.255.25486.37.255.255131,070
2086.38.0.0/1586.38.0.1 to 86.39.255.25486.39.255.255131,070
2186.40.0.0/1586.40.0.1 to 86.41.255.25486.41.255.255131,070
2286.42.0.0/1586.42.0.1 to 86.43.255.25486.43.255.255131,070
2386.44.0.0/1586.44.0.1 to 86.45.255.25486.45.255.255131,070
2486.46.0.0/1586.46.0.1 to 86.47.255.25486.47.255.255131,070
2586.48.0.0/1586.48.0.1 to 86.49.255.25486.49.255.255131,070
2686.50.0.0/1586.50.0.1 to 86.51.255.25486.51.255.255131,070
2786.52.0.0/1586.52.0.1 to 86.53.255.25486.53.255.255131,070
2886.54.0.0/1586.54.0.1 to 86.55.255.25486.55.255.255131,070
2986.56.0.0/1586.56.0.1 to 86.57.255.25486.57.255.255131,070
3086.58.0.0/1586.58.0.1 to 86.59.255.25486.59.255.255131,070
3186.60.0.0/1586.60.0.1 to 86.61.255.25486.61.255.255131,070
3286.62.0.0/1586.62.0.1 to 86.63.255.25486.63.255.255131,070
3386.64.0.0/1586.64.0.1 to 86.65.255.25486.65.255.255131,070
3486.66.0.0/1586.66.0.1 to 86.67.255.25486.67.255.255131,070
3586.68.0.0/1586.68.0.1 to 86.69.255.25486.69.255.255131,070
3686.70.0.0/1586.70.0.1 to 86.71.255.25486.71.255.255131,070
3786.72.0.0/1586.72.0.1 to 86.73.255.25486.73.255.255131,070
3886.74.0.0/1586.74.0.1 to 86.75.255.25486.75.255.255131,070
3986.76.0.0/1586.76.0.1 to 86.77.255.25486.77.255.255131,070
4086.78.0.0/1586.78.0.1 to 86.79.255.25486.79.255.255131,070
4186.80.0.0/1586.80.0.1 to 86.81.255.25486.81.255.255131,070
4286.82.0.0/1586.82.0.1 to 86.83.255.25486.83.255.255131,070
4386.84.0.0/1586.84.0.1 to 86.85.255.25486.85.255.255131,070
4486.86.0.0/1586.86.0.1 to 86.87.255.25486.87.255.255131,070
4586.88.0.0/1586.88.0.1 to 86.89.255.25486.89.255.255131,070
4686.90.0.0/1586.90.0.1 to 86.91.255.25486.91.255.255131,070
4786.92.0.0/1586.92.0.1 to 86.93.255.25486.93.255.255131,070
4886.94.0.0/1586.94.0.1 to 86.95.255.25486.95.255.255131,070
4986.96.0.0/1586.96.0.1 to 86.97.255.25486.97.255.255131,070
5086.98.0.0/1586.98.0.1 to 86.99.255.25486.99.255.255131,070
5186.100.0.0/1586.100.0.1 to 86.101.255.25486.101.255.255131,070
5286.102.0.0/1586.102.0.1 to 86.103.255.25486.103.255.255131,070
5386.104.0.0/1586.104.0.1 to 86.105.255.25486.105.255.255131,070
5486.106.0.0/1586.106.0.1 to 86.107.255.25486.107.255.255131,070
5586.108.0.0/1586.108.0.1 to 86.109.255.25486.109.255.255131,070
5686.110.0.0/1586.110.0.1 to 86.111.255.25486.111.255.255131,070
5786.112.0.0/1586.112.0.1 to 86.113.255.25486.113.255.255131,070
5886.114.0.0/1586.114.0.1 to 86.115.255.25486.115.255.255131,070
5986.116.0.0/1586.116.0.1 to 86.117.255.25486.117.255.255131,070
6086.118.0.0/1586.118.0.1 to 86.119.255.25486.119.255.255131,070
6186.120.0.0/1586.120.0.1 to 86.121.255.25486.121.255.255131,070
6286.122.0.0/1586.122.0.1 to 86.123.255.25486.123.255.255131,070
6386.124.0.0/1586.124.0.1 to 86.125.255.25486.125.255.255131,070
6486.126.0.0/1586.126.0.1 to 86.127.255.25486.127.255.255131,070
6586.128.0.0/1586.128.0.1 to 86.129.255.25486.129.255.255131,070
6686.130.0.0/1586.130.0.1 to 86.131.255.25486.131.255.255131,070
6786.132.0.0/1586.132.0.1 to 86.133.255.25486.133.255.255131,070
6886.134.0.0/1586.134.0.1 to 86.135.255.25486.135.255.255131,070
6986.136.0.0/1586.136.0.1 to 86.137.255.25486.137.255.255131,070
7086.138.0.0/1586.138.0.1 to 86.139.255.25486.139.255.255131,070
7186.140.0.0/1586.140.0.1 to 86.141.255.25486.141.255.255131,070
7286.142.0.0/1586.142.0.1 to 86.143.255.25486.143.255.255131,070
7386.144.0.0/1586.144.0.1 to 86.145.255.25486.145.255.255131,070
7486.146.0.0/1586.146.0.1 to 86.147.255.25486.147.255.255131,070
7586.148.0.0/1586.148.0.1 to 86.149.255.25486.149.255.255131,070
7686.150.0.0/1586.150.0.1 to 86.151.255.25486.151.255.255131,070
7786.152.0.0/1586.152.0.1 to 86.153.255.25486.153.255.255131,070
7886.154.0.0/1586.154.0.1 to 86.155.255.25486.155.255.255131,070
7986.156.0.0/1586.156.0.1 to 86.157.255.25486.157.255.255131,070
8086.158.0.0/1586.158.0.1 to 86.159.255.25486.159.255.255131,070
8186.160.0.0/1586.160.0.1 to 86.161.255.25486.161.255.255131,070
8286.162.0.0/1586.162.0.1 to 86.163.255.25486.163.255.255131,070
8386.164.0.0/1586.164.0.1 to 86.165.255.25486.165.255.255131,070
8486.166.0.0/1586.166.0.1 to 86.167.255.25486.167.255.255131,070
8586.168.0.0/1586.168.0.1 to 86.169.255.25486.169.255.255131,070
8686.170.0.0/1586.170.0.1 to 86.171.255.25486.171.255.255131,070
8786.172.0.0/1586.172.0.1 to 86.173.255.25486.173.255.255131,070
8886.174.0.0/1586.174.0.1 to 86.175.255.25486.175.255.255131,070
8986.176.0.0/1586.176.0.1 to 86.177.255.25486.177.255.255131,070
9086.178.0.0/1586.178.0.1 to 86.179.255.25486.179.255.255131,070
9186.180.0.0/1586.180.0.1 to 86.181.255.25486.181.255.255131,070
9286.182.0.0/1586.182.0.1 to 86.183.255.25486.183.255.255131,070
9386.184.0.0/1586.184.0.1 to 86.185.255.25486.185.255.255131,070
9486.186.0.0/1586.186.0.1 to 86.187.255.25486.187.255.255131,070
9586.188.0.0/1586.188.0.1 to 86.189.255.25486.189.255.255131,070
9686.190.0.0/1586.190.0.1 to 86.191.255.25486.191.255.255131,070
9786.192.0.0/1586.192.0.1 to 86.193.255.25486.193.255.255131,070
9886.194.0.0/1586.194.0.1 to 86.195.255.25486.195.255.255131,070
9986.196.0.0/1586.196.0.1 to 86.197.255.25486.197.255.255131,070
10086.198.0.0/1586.198.0.1 to 86.199.255.25486.199.255.255131,070
10186.200.0.0/1586.200.0.1 to 86.201.255.25486.201.255.255131,070
10286.202.0.0/1586.202.0.1 to 86.203.255.25486.203.255.255131,070
10386.204.0.0/1586.204.0.1 to 86.205.255.25486.205.255.255131,070
10486.206.0.0/1586.206.0.1 to 86.207.255.25486.207.255.255131,070
10586.208.0.0/1586.208.0.1 to 86.209.255.25486.209.255.255131,070
10686.210.0.0/1586.210.0.1 to 86.211.255.25486.211.255.255131,070
10786.212.0.0/1586.212.0.1 to 86.213.255.25486.213.255.255131,070
10886.214.0.0/1586.214.0.1 to 86.215.255.25486.215.255.255131,070
10986.216.0.0/1586.216.0.1 to 86.217.255.25486.217.255.255131,070
11086.218.0.0/1586.218.0.1 to 86.219.255.25486.219.255.255131,070
11186.220.0.0/1586.220.0.1 to 86.221.255.25486.221.255.255131,070
11286.222.0.0/1586.222.0.1 to 86.223.255.25486.223.255.255131,070
11386.224.0.0/1586.224.0.1 to 86.225.255.25486.225.255.255131,070
11486.226.0.0/1586.226.0.1 to 86.227.255.25486.227.255.255131,070
11586.228.0.0/1586.228.0.1 to 86.229.255.25486.229.255.255131,070
11686.230.0.0/1586.230.0.1 to 86.231.255.25486.231.255.255131,070
11786.232.0.0/1586.232.0.1 to 86.233.255.25486.233.255.255131,070
11886.234.0.0/1586.234.0.1 to 86.235.255.25486.235.255.255131,070
11986.236.0.0/1586.236.0.1 to 86.237.255.25486.237.255.255131,070
12086.238.0.0/1586.238.0.1 to 86.239.255.25486.239.255.255131,070
12186.240.0.0/1586.240.0.1 to 86.241.255.25486.241.255.255131,070
12286.242.0.0/1586.242.0.1 to 86.243.255.25486.243.255.255131,070
12386.244.0.0/1586.244.0.1 to 86.245.255.25486.245.255.255131,070
12486.246.0.0/1586.246.0.1 to 86.247.255.25486.247.255.255131,070
12586.248.0.0/1586.248.0.1 to 86.249.255.25486.249.255.255131,070
12686.250.0.0/1586.250.0.1 to 86.251.255.25486.251.255.255131,070
12786.252.0.0/1586.252.0.1 to 86.253.255.25486.253.255.255131,070
12886.254.0.0/1586.254.0.1 to 86.255.255.25486.255.255.255131,070
12987.0.0.0/1587.0.0.1 to 87.1.255.25487.1.255.255131,070
13087.2.0.0/1587.2.0.1 to 87.3.255.25487.3.255.255131,070
13187.4.0.0/1587.4.0.1 to 87.5.255.25487.5.255.255131,070
13287.6.0.0/1587.6.0.1 to 87.7.255.25487.7.255.255131,070
13387.8.0.0/1587.8.0.1 to 87.9.255.25487.9.255.255131,070
13487.10.0.0/1587.10.0.1 to 87.11.255.25487.11.255.255131,070
13587.12.0.0/1587.12.0.1 to 87.13.255.25487.13.255.255131,070
13687.14.0.0/1587.14.0.1 to 87.15.255.25487.15.255.255131,070
13787.16.0.0/1587.16.0.1 to 87.17.255.25487.17.255.255131,070
13887.18.0.0/1587.18.0.1 to 87.19.255.25487.19.255.255131,070
13987.20.0.0/1587.20.0.1 to 87.21.255.25487.21.255.255131,070
14087.22.0.0/1587.22.0.1 to 87.23.255.25487.23.255.255131,070
14187.24.0.0/1587.24.0.1 to 87.25.255.25487.25.255.255131,070
14287.26.0.0/1587.26.0.1 to 87.27.255.25487.27.255.255131,070
14387.28.0.0/1587.28.0.1 to 87.29.255.25487.29.255.255131,070
14487.30.0.0/1587.30.0.1 to 87.31.255.25487.31.255.255131,070
14587.32.0.0/1587.32.0.1 to 87.33.255.25487.33.255.255131,070
14687.34.0.0/1587.34.0.1 to 87.35.255.25487.35.255.255131,070
14787.36.0.0/1587.36.0.1 to 87.37.255.25487.37.255.255131,070
14887.38.0.0/1587.38.0.1 to 87.39.255.25487.39.255.255131,070
14987.40.0.0/1587.40.0.1 to 87.41.255.25487.41.255.255131,070
15087.42.0.0/1587.42.0.1 to 87.43.255.25487.43.255.255131,070
15187.44.0.0/1587.44.0.1 to 87.45.255.25487.45.255.255131,070
15287.46.0.0/1587.46.0.1 to 87.47.255.25487.47.255.255131,070
15387.48.0.0/1587.48.0.1 to 87.49.255.25487.49.255.255131,070
15487.50.0.0/1587.50.0.1 to 87.51.255.25487.51.255.255131,070
15587.52.0.0/1587.52.0.1 to 87.53.255.25487.53.255.255131,070
15687.54.0.0/1587.54.0.1 to 87.55.255.25487.55.255.255131,070
15787.56.0.0/1587.56.0.1 to 87.57.255.25487.57.255.255131,070
15887.58.0.0/1587.58.0.1 to 87.59.255.25487.59.255.255131,070
15987.60.0.0/1587.60.0.1 to 87.61.255.25487.61.255.255131,070
16087.62.0.0/1587.62.0.1 to 87.63.255.25487.63.255.255131,070
16187.64.0.0/1587.64.0.1 to 87.65.255.25487.65.255.255131,070
16287.66.0.0/1587.66.0.1 to 87.67.255.25487.67.255.255131,070
16387.68.0.0/1587.68.0.1 to 87.69.255.25487.69.255.255131,070
16487.70.0.0/1587.70.0.1 to 87.71.255.25487.71.255.255131,070
16587.72.0.0/1587.72.0.1 to 87.73.255.25487.73.255.255131,070
16687.74.0.0/1587.74.0.1 to 87.75.255.25487.75.255.255131,070
16787.76.0.0/1587.76.0.1 to 87.77.255.25487.77.255.255131,070
16887.78.0.0/1587.78.0.1 to 87.79.255.25487.79.255.255131,070
16987.80.0.0/1587.80.0.1 to 87.81.255.25487.81.255.255131,070
17087.82.0.0/1587.82.0.1 to 87.83.255.25487.83.255.255131,070
17187.84.0.0/1587.84.0.1 to 87.85.255.25487.85.255.255131,070
17287.86.0.0/1587.86.0.1 to 87.87.255.25487.87.255.255131,070
17387.88.0.0/1587.88.0.1 to 87.89.255.25487.89.255.255131,070
17487.90.0.0/1587.90.0.1 to 87.91.255.25487.91.255.255131,070
17587.92.0.0/1587.92.0.1 to 87.93.255.25487.93.255.255131,070
17687.94.0.0/1587.94.0.1 to 87.95.255.25487.95.255.255131,070
17787.96.0.0/1587.96.0.1 to 87.97.255.25487.97.255.255131,070
17887.98.0.0/1587.98.0.1 to 87.99.255.25487.99.255.255131,070
17987.100.0.0/1587.100.0.1 to 87.101.255.25487.101.255.255131,070
18087.102.0.0/1587.102.0.1 to 87.103.255.25487.103.255.255131,070
18187.104.0.0/1587.104.0.1 to 87.105.255.25487.105.255.255131,070
18287.106.0.0/1587.106.0.1 to 87.107.255.25487.107.255.255131,070
18387.108.0.0/1587.108.0.1 to 87.109.255.25487.109.255.255131,070
18487.110.0.0/1587.110.0.1 to 87.111.255.25487.111.255.255131,070
18587.112.0.0/1587.112.0.1 to 87.113.255.25487.113.255.255131,070
18687.114.0.0/1587.114.0.1 to 87.115.255.25487.115.255.255131,070
18787.116.0.0/1587.116.0.1 to 87.117.255.25487.117.255.255131,070
18887.118.0.0/1587.118.0.1 to 87.119.255.25487.119.255.255131,070
18987.120.0.0/1587.120.0.1 to 87.121.255.25487.121.255.255131,070
19087.122.0.0/1587.122.0.1 to 87.123.255.25487.123.255.255131,070
19187.124.0.0/1587.124.0.1 to 87.125.255.25487.125.255.255131,070
19287.126.0.0/1587.126.0.1 to 87.127.255.25487.127.255.255131,070
19387.128.0.0/1587.128.0.1 to 87.129.255.25487.129.255.255131,070
19487.130.0.0/1587.130.0.1 to 87.131.255.25487.131.255.255131,070
19587.132.0.0/1587.132.0.1 to 87.133.255.25487.133.255.255131,070
19687.134.0.0/1587.134.0.1 to 87.135.255.25487.135.255.255131,070
19787.136.0.0/1587.136.0.1 to 87.137.255.25487.137.255.255131,070
19887.138.0.0/1587.138.0.1 to 87.139.255.25487.139.255.255131,070
19987.140.0.0/1587.140.0.1 to 87.141.255.25487.141.255.255131,070
20087.142.0.0/1587.142.0.1 to 87.143.255.25487.143.255.255131,070
20187.144.0.0/1587.144.0.1 to 87.145.255.25487.145.255.255131,070
20287.146.0.0/1587.146.0.1 to 87.147.255.25487.147.255.255131,070
20387.148.0.0/1587.148.0.1 to 87.149.255.25487.149.255.255131,070
20487.150.0.0/1587.150.0.1 to 87.151.255.25487.151.255.255131,070
20587.152.0.0/1587.152.0.1 to 87.153.255.25487.153.255.255131,070
20687.154.0.0/1587.154.0.1 to 87.155.255.25487.155.255.255131,070
20787.156.0.0/1587.156.0.1 to 87.157.255.25487.157.255.255131,070
20887.158.0.0/1587.158.0.1 to 87.159.255.25487.159.255.255131,070
20987.160.0.0/1587.160.0.1 to 87.161.255.25487.161.255.255131,070
21087.162.0.0/1587.162.0.1 to 87.163.255.25487.163.255.255131,070
21187.164.0.0/1587.164.0.1 to 87.165.255.25487.165.255.255131,070
21287.166.0.0/1587.166.0.1 to 87.167.255.25487.167.255.255131,070
21387.168.0.0/1587.168.0.1 to 87.169.255.25487.169.255.255131,070
21487.170.0.0/1587.170.0.1 to 87.171.255.25487.171.255.255131,070
21587.172.0.0/1587.172.0.1 to 87.173.255.25487.173.255.255131,070
21687.174.0.0/1587.174.0.1 to 87.175.255.25487.175.255.255131,070
21787.176.0.0/1587.176.0.1 to 87.177.255.25487.177.255.255131,070
21887.178.0.0/1587.178.0.1 to 87.179.255.25487.179.255.255131,070
21987.180.0.0/1587.180.0.1 to 87.181.255.25487.181.255.255131,070
22087.182.0.0/1587.182.0.1 to 87.183.255.25487.183.255.255131,070
22187.184.0.0/1587.184.0.1 to 87.185.255.25487.185.255.255131,070
22287.186.0.0/1587.186.0.1 to 87.187.255.25487.187.255.255131,070
22387.188.0.0/1587.188.0.1 to 87.189.255.25487.189.255.255131,070
22487.190.0.0/1587.190.0.1 to 87.191.255.25487.191.255.255131,070
22587.192.0.0/1587.192.0.1 to 87.193.255.25487.193.255.255131,070
22687.194.0.0/1587.194.0.1 to 87.195.255.25487.195.255.255131,070
22787.196.0.0/1587.196.0.1 to 87.197.255.25487.197.255.255131,070
22887.198.0.0/1587.198.0.1 to 87.199.255.25487.199.255.255131,070
22987.200.0.0/1587.200.0.1 to 87.201.255.25487.201.255.255131,070
23087.202.0.0/1587.202.0.1 to 87.203.255.25487.203.255.255131,070
23187.204.0.0/1587.204.0.1 to 87.205.255.25487.205.255.255131,070
23287.206.0.0/1587.206.0.1 to 87.207.255.25487.207.255.255131,070
23387.208.0.0/1587.208.0.1 to 87.209.255.25487.209.255.255131,070
23487.210.0.0/1587.210.0.1 to 87.211.255.25487.211.255.255131,070
23587.212.0.0/1587.212.0.1 to 87.213.255.25487.213.255.255131,070
23687.214.0.0/1587.214.0.1 to 87.215.255.25487.215.255.255131,070
23787.216.0.0/1587.216.0.1 to 87.217.255.25487.217.255.255131,070
23887.218.0.0/1587.218.0.1 to 87.219.255.25487.219.255.255131,070
23987.220.0.0/1587.220.0.1 to 87.221.255.25487.221.255.255131,070
24087.222.0.0/1587.222.0.1 to 87.223.255.25487.223.255.255131,070
24187.224.0.0/1587.224.0.1 to 87.225.255.25487.225.255.255131,070
24287.226.0.0/1587.226.0.1 to 87.227.255.25487.227.255.255131,070
24387.228.0.0/1587.228.0.1 to 87.229.255.25487.229.255.255131,070
24487.230.0.0/1587.230.0.1 to 87.231.255.25487.231.255.255131,070
24587.232.0.0/1587.232.0.1 to 87.233.255.25487.233.255.255131,070
24687.234.0.0/1587.234.0.1 to 87.235.255.25487.235.255.255131,070
24787.236.0.0/1587.236.0.1 to 87.237.255.25487.237.255.255131,070
24887.238.0.0/1587.238.0.1 to 87.239.255.25487.239.255.255131,070
24987.240.0.0/1587.240.0.1 to 87.241.255.25487.241.255.255131,070
25087.242.0.0/1587.242.0.1 to 87.243.255.25487.243.255.255131,070
25187.244.0.0/1587.244.0.1 to 87.245.255.25487.245.255.255131,070
25287.246.0.0/1587.246.0.1 to 87.247.255.25487.247.255.255131,070
25387.248.0.0/1587.248.0.1 to 87.249.255.25487.249.255.255131,070
25487.250.0.0/1587.250.0.1 to 87.251.255.25487.251.255.255131,070
25587.252.0.0/1587.252.0.1 to 87.253.255.25487.253.255.255131,070
25687.254.0.0/1587.254.0.1 to 87.255.255.25487.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses